be.fgov.ehealth.commons.protocol.v2

## Class PaginationStatusResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ListConsultationResponseType, SearchOrganizationsResponse, SearchProfessionalsResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:38:50+01:00",
                 comments="JAXB RI v2.3.7")
      public class PaginationStatusResponseType
      extends StatusResponseType
      implements Serializable

  eHealth SOA Response Type for Services that require a Pagination as input and a Status as output.

  Java class for PaginationStatusResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PaginationStatusResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <attGroup ref="{urn:be:fgov:ehealth:commons:core:v2}PaginationAttributeGroup"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaginationStatusResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxElements()` Gets the value of the maxElements property.
    `int` | `getOffset()` Gets the value of the offset property.
    `void` | `setMaxElements(int value)` Sets the value of the maxElements property.
    `void` | `setOffset(int value)` Sets the value of the offset property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginationStatusResponseType

          public PaginationStatusResponseType()

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets the value of the offset property.

    - #### setOffset

          public void setOffset(int value)

      Sets the value of the offset property.

    - #### getMaxElements

          public int getMaxElements()

      Gets the value of the maxElements property.

    - #### setMaxElements

          public void setMaxElements(int value)

      Sets the value of the maxElements property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.